Xerces-C++: DOMXPathExpression Class Reference

Xerces-C++ 3.2.2

List of all members
DOMXPathExpression Class Referenceabstract

The `DOMXPathExpression` interface represents a parsed and resolved XPath expression. More...

## Public Member Functions
Destructor
virtual | ~DOMXPathExpression ()
| Destructor. More...
Functions introduced in DOM Level 3
virtual DOMXPathResult * | evaluate (const DOMNode *contextNode, DOMXPathResult::ResultType type, DOMXPathResult *result) const =0
| Evaluates this XPath expression and returns a result. More...
Non-standard Extension
virtual void | release ()=0
| Called to indicate that this DOMXPathExpression is no longer in use and that the implementation may relinquish any resources associated with it. More...

## Protected Member Functions
Hidden constructors
| DOMXPathExpression ()

## Detailed Description

The `DOMXPathExpression` interface represents a parsed and resolved XPath expression.

Since
  DOM Level 3

## Constructor & Destructor Documentation

## ◆ DOMXPathExpression()

DOMXPathExpression::DOMXPathExpression | ( |  | ) |
| protected

## ◆ ~DOMXPathExpression()

virtual DOMXPathExpression::~DOMXPathExpression | ( |  | ) |
| virtual

Destructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ evaluate()

virtual DOMXPathResult* DOMXPathExpression::evaluate | ( | const DOMNode * | contextNode,
|  | DOMXPathResult::ResultType | type,
|  | DOMXPathResult * | result
| ) |  | const
| pure virtual

Evaluates this XPath expression and returns a result.

Parameters

  contextNode | of type `DOMNode` The context is context node for the evaluation of this XPath expression. If the XPathEvaluator was obtained by casting the Document then this must be owned by the same document and must be a `DOMDocument`, `DOMElement`, `DOMAttribute`, `DOMText`, `DOMCDATASection`, `DOMComment`, `DOMProcessingInstruction`, or `XPathNamespace`. If the context node is a `DOMText` or a `DOMCDATASection`, then the context is interpreted as the whole logical text node as seen by XPath, unless the node is empty in which case it may not serve as the XPath context.
  type | If a specific type is specified, then the result will be coerced to return the specified type relying on XPath conversions and fail if the desired coercion is not possible. This must be one of the type codes of `DOMXPathResult`.
  result | of type DOMXPathResult* The result specifies a specific result object which may be reused and returned by this method. If this is specified as nullor the implementation does not reuse the specified result, a new result object will be constructed and returned.

Returns
  DOMXPathResult* The result of the evaluation of the XPath expression.

Exceptions

  <code>DOMXPathException</code> | TYPE_ERR: Raised if the result cannot be converted to return the specified type.
  <code>DOMException</code> | WRONG_DOCUMENT_ERR: The `DOMNode` is from a document that is not supported by the `XPathEvaluator` that created this `DOMXPathExpression`. NOT_SUPPORTED_ERR: The DOMNode is not a type permitted as an XPath context node or the request type is not permitted by this `DOMXPathExpression`.

## ◆ release()

virtual void DOMXPathExpression::release | ( |  | ) |
| pure virtual

Called to indicate that this DOMXPathExpression is no longer in use and that the implementation may relinquish any resources associated with it.

Access to a released object will lead to unexpected result.

The documentation for this class was generated from the following file:

- DOMXPathExpression.hpp